import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSDateComponents } from "../Foundation/NSDateComponents.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
export declare class _PKDateComponentsRange extends _NSObject {
    static alloc(): _PKDateComponentsRange;
    static new(): _PKDateComponentsRange;
    init(): _PKDateComponentsRange;
    /** The date components must have valid dates and a calendar. */
    initWithStartDateComponents$endDateComponents$(startDateComponents: _NSDateComponents, endDateComponents: _NSDateComponents): _PKDateComponentsRange | null;
    startDateComponents(): _NSDateComponents;
    endDateComponents(): _NSDateComponents;
}
export interface _PKDateComponentsRange extends _NSCopying, _NSSecureCoding {
}
